[Rubygems-developers] Gem#status?

Josh Susser josh at hasmanythrough.com
Thu Nov 13 13:45:32 EST 2008


On Nov 13, 2008, at 1:34 PM, Trans wrote:
>> So ~> for 2.1.0 will be the same as 2.1.0.rc30 gem installed in the  
>> user system.
>
> No. I think people use ~> when they expect very tight and rational
> versioning. So ~> means production code only, and rc30 would not fit
> the bill. That's what I meant by "not consider".
>
> If one wanted to accept rc versions, then use > or >= instead.
>
>> Riiight. That also bring things related to cleanup of these gems...
>> what to do if you're not considering these cases in full spectrum?
>
> Seems to me one should also be able to tell the gem command "consider
> production releases only".

That is the default with the new code.  You need to use the -- 
prerelease option if you don't want prerelease gems to be ignored.

--
Josh Susser
http://blog.hasmanythrough.com




More information about the Rubygems-developers mailing list